/*
 * Code Mercenaries Hard- und Software GmbH
 * Karl-Marx-Strasse 147A
 * 12529 Schönefeld
 * Deutschland
 * 
 * August 2015
 * 
 * Used result values:
 *   -1 hard error
 * 	  1 light weight error (like wrong user input)
 *    0 success
 * 
 * This program is using the BCM2835 library for 
 * Raspberry Pi 2. More information at
 * http://www.airspayce.com/mikem/bcm2835/
 * */
 
char errorCheck_bcm2835_i2c_read(char*, int);
char errorCheck_bcm2835_i2c_write(char*, int);


char errorCheck_bcm2835_i2c_write(char* buffer, int size) {
	
	char result = bcm2835_i2c_write(buffer, size);
	switch(result) {
		
		case BCM2835_I2C_REASON_ERROR_NACK:
			printf("Received NACK\r\n");
			return -1;
			
		case BCM2835_I2C_REASON_ERROR_CLKT:
			printf("Received Clock Stretch Timeout\r\n");
			return -1;
		case BCM2835_I2C_REASON_ERROR_DATA:
			printf("Not all data is sent\r\n");
			return -1;
	}
	return 0;
}

char errorCheck_bcm2835_i2c_read(char* buffer, int size) {
	
	char result = bcm2835_i2c_read(buffer, size);
	switch(result) {
		
		case BCM2835_I2C_REASON_ERROR_NACK:
			printf("Received NACK\r\n");
			return -1;
			
		case BCM2835_I2C_REASON_ERROR_CLKT:
			printf("Received Clock Stretch Timeout\r\n");
			return -1;
		case BCM2835_I2C_REASON_ERROR_DATA:
			printf("Not all data is received\r\n");
			return -1;
	}
	return 0;
}
